/**
 * Frontend styles for Single Image Block
 */

 .wp-block-nmg-single-image-block {
	margin: 40px 0;
}

@media screen and (max-width: 768px) 
{
	.wp-block-nmg-single-image-block {
		margin: 20px 0;
	}
}

.nmg-single-image__two-columns {
	display: grid;
	grid-template-columns: 33% 66%;
	gap: 20px;
	align-items: flex-start;
}

@media (max-width: 768px) {
	.nmg-single-image__two-columns {
		display: flex;
		flex-direction: column-reverse;
	}
}

.nmg-single-image__text-column {
	display: flex;
	flex-direction: column;
	gap: 8px;
	height: 100%;
	justify-content: end;
	align-items: end;
	padding: 40px 0;
}

@media (max-width: 768px) {
	.nmg-single-image__text-column {
		padding: 0;
		justify-content: start;
		align-items: start;
	}
}

@media (max-width: 768px) {
	.nmg-single-image__image-column {
		width: 100%;
	}

	.nmg-single-image__image-column img,  .nmg-single-image__image-column iframe {
		width: 100%;
	}
}

.nmg-single-image__title {
	font-size: var(--typography-desktop-h3-main-font-size);
	font-family: var(--typography-desktop-h3-main-font-family);
	font-weight: 700;
	color: #000;
	margin: 0;
	line-height: 1;
}

@media screen and (max-width: 768px) 
{
	.nmg-single-image__title {
		font-size: var(--typography-mobile-h3-font-size);
	}
}

.nmg-single-image__text {
	font-size: var(--typography-desktop-body-font-size);
	color: #333;
	margin: 0;
	line-height: 1;
	text-align: right;
}

@media screen and (max-width: 768px) 
{
	.nmg-single-image__text {
		font-size: var(--typography-mobile-body-font-size);
	}
}

.nmg-single-image__image {
	width: 100%;
	overflow: hidden;
}

.nmg-single-image__image img {
	width: 100%;
	height: auto;
	display: block;
	object-fit: cover;
}